package com.engine.hostar.service.impl;

import com.engine.core.impl.Service;
import com.engine.hostar.service.KqDevService;
import com.engine.kq.biz.KQOvertimeRulesBiz;
import org.apache.commons.lang.StringUtils;
import weaver.general.BaseBean;
import weaver.general.Util;

import java.util.HashMap;
import java.util.Map;

/**
 * @author chenwnj
 * @date 2023/12/11
 * @description
 **/
public class KqDevServiceImpl extends Service implements KqDevService {
    BaseBean bb = new BaseBean();

    @Override
    public Map<String, Object> getKqType(Map<String, Object> params) {

        bb.writeLog("---getKqType start---");
        Map<String, Object> result = new HashMap<>();

        String resourceId = Util.null2String(params.get("resourceId"));
        bb.writeLog("resourceId: " + resourceId);
        String kqDate = Util.null2String(params.get("kqDate"));
        bb.writeLog("kqDate: " + kqDate);

        if ( StringUtils.isBlank(resourceId)) {
            result.put("code",500);
            result.put("msg","请先选择人员");
            return result;
        }
        if ( StringUtils.isBlank(kqDate)) {
            result.put("code",500);
            result.put("msg","请先选择日期");
            return result;
        }

        int changeType = -1;

        try {
            //1-节假日、2-工作日、3-休息日、-1-数据异常，无效数据
            changeType = KQOvertimeRulesBiz.getChangeType(resourceId, kqDate);
            bb.writeLog("changeType: " + changeType);

        } catch (Exception e) {
            bb.writeLog("getKqType Exception: " + e);
        }

        if (changeType == -1) {
            result.put("code", 500);
            result.put("msg", "日期判断异常，请联系管理员");
            return result;
        } else {
            result.put("code", 200);
            result.put("data", changeType);
            return result;
        }

    }
}
